
import {select, arc} from "d3";
const content = document.getElementById('content');

const svg = d3.select('svg');
svg.style('background-color',"gray");

const height = +svg.attr('height');
const width = +svg.attr('width');
const eyeSpacing = 100;
const eyeYOffset = -70;

const circle = svg.append('circle')
	.attr('r', height/2-50)
	.attr('cx',width/2)
	.attr('cy',height/2)
	.attr('fill',"yellow")
	.attr("stroke","2");


const leftEye = svg.append('circle')
	.attr("r","30")
	.attr("cy", height/2+eyeYOffset)
	.attr("cx", width/2-eyeSpacing);

const rightEye= svg.append('circle')
	.attr("r","30")
	.attr("cy", height/2+eyeYOffset)
	.attr("cx", width/2+eyeSpacing);

const g = svg.append('g').attr('transform', 	`translate(${width/2},${height/2+40})`);

const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius: 0,
    outerRadius: 100,
    startAngle: Math.PI/2,
    endAngle: 3*Math.PI/2
  }));

